<template>
	<view v-for="(item,index) in sem" :key="index" class="flex1" @tap="clkitem(index)">
		<view :class="numclass">
			<ciy-shownum :value="item.num" :unit="item.unit"></ciy-shownum>
		</view>
		<view :class="nameclass">{{item.name}}</view>
	</view>
</template>

<script>
	export default {
		emits: ['change', 'update:modelValue'],
		props: {
			sem: {
				type: [Array],
				default: []
			},
			numclass: {
				type: [String],
				default: 'txt-lgg'
			},
			nameclass: {
				type: [String],
				default: 'txt-sm py2'
			},

		},
		data() {
			return {};
		},
		watch: {},
		computed: {},
		mounted() {},
		methods: {
			clkitem(idx) {
				if (this.sem[idx].url)
					this.gourl(this.sem[idx].url);
			}
		}
	}
</script>
<style scoped>
</style>